=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Frederik Schüler <fschueler@gmx.net> 
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4), kernel-package (>= 8.131), kernel-tree-2.6.8-16sarge6, module-init-tools, gcc-3.4 (>= 3.4.1-6), dpkg-dev (>= 1.10.23)
-
-Package: kernel-headers-2.6.8-12
+Build-Depends: debhelper (>= 4), kernel-package (>= 8.131), kernel-tree-2.6.8-17sarge1, module-init-tools, gcc-3.4 (>= 3.4.1-6), dpkg-dev (>= 1.10.23)
+
+Package: kernel-headers-2.6.8-13
 Architecture: amd64 i386
 Section: devel
 Priority: optional
@@ -15,21 +15,21 @@
 Description: Header files related to Linux kernel version 2.6.8
  This package provides kernel header files for version 2.6.8, for sites 
  that want the latest kernel headers. Please read
- /usr/share/doc/kernel-headers-2.6.8-12/debian.README.gz for details.
-
-Package: kernel-headers-2.6.8-12-amd64-k8
-Architecture: amd64 i386
-Section: devel
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-12
+ /usr/share/doc/kernel-headers-2.6.8-13/debian.README.gz for details.
+
+Package: kernel-headers-2.6.8-13-amd64-k8
+Architecture: amd64 i386
+Section: devel
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-13
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers for version 2.6.8 on AMD64 systems
  This package provides kernel header files for version 2.6.8 on
  AMD Athlon64, Athlon FX and Opteron, for sites that want the latest 
  kernel headers. Please read 
- /usr/share/doc/kernel-headers-2.6.8-12-amd64-k8/debian.README.gz for details.
-
-Package: kernel-image-2.6.8-12-amd64-k8
+ /usr/share/doc/kernel-headers-2.6.8-13-amd64-k8/debian.README.gz for details.
+
+Package: kernel-image-2.6.8-13-amd64-k8
 Architecture: amd64 i386
 Section: base
 Priority: optional
@@ -55,19 +55,19 @@
  and it is suggested that you install that package if you wish to
  create a custom kernel from the sources.
 
-Package: kernel-headers-2.6.8-12-amd64-k8-smp
-Architecture: amd64 i386
-Section: devel
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-12
+Package: kernel-headers-2.6.8-13-amd64-k8-smp
+Architecture: amd64 i386
+Section: devel
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-13
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers for version 2.6.8 on AMD64 SMP systems
  This package provides kernel header files for version 2.6.8 on AMD Opteron 
  with SMP support, for sites that want the latest kernel headers. Please read
- /usr/share/doc/kernel-headers-2.6.8-12-amd64-k8-smp/debian.README.gz i
+ /usr/share/doc/kernel-headers-2.6.8-13-amd64-k8-smp/debian.README.gz i
  for details.
 
-Package: kernel-image-2.6.8-12-amd64-k8-smp
+Package: kernel-image-2.6.8-13-amd64-k8-smp
 Architecture: amd64 i386
 Section: base
 Priority: optional
@@ -94,19 +94,19 @@
  and it is suggested that you install that package if you wish to
  create a custom kernel from the sources.
 
-Package: kernel-headers-2.6.8-12-amd64-generic
-Architecture: amd64 i386
-Section: devel
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-12
+Package: kernel-headers-2.6.8-13-amd64-generic
+Architecture: amd64 i386
+Section: devel
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-13
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers 2.6.8 for generic x86_64 systems
  This package provides kernel header files for version 2.6.8 on all x86_64 
  systems, for sites that want the latest kernel headers. Please read
- /usr/share/doc/kernel-headers-2.6.8-12-amd64-generic/debian.README.gz for 
+ /usr/share/doc/kernel-headers-2.6.8-13-amd64-generic/debian.README.gz for 
  details.
 
-Package: kernel-image-2.6.8-12-amd64-generic
+Package: kernel-image-2.6.8-13-amd64-generic
 Architecture: amd64 i386
 Section: base
 Priority: optional
@@ -133,19 +133,19 @@
  and it is suggested that you install that package if you wish to
  create a custom kernel from the sources.
 
-Package: kernel-headers-2.6.8-12-em64t-p4
-Architecture: amd64 i386
-Section: devel
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-12
+Package: kernel-headers-2.6.8-13-em64t-p4
+Architecture: amd64 i386
+Section: devel
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-13
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers for version 2.6.8 on Intel EM64T systems
  This package provides kernel header files for version 2.6.8 on all Intel 
  Pentium 4 and Xeon systems with EM64T extension, for sites that want the
  latest kernel headers. Please read
- /usr/share/doc/kernel-headers-2.6.8-12-em64t-p4/debian.README.gz for details.
-
-Package: kernel-image-2.6.8-12-em64t-p4
+ /usr/share/doc/kernel-headers-2.6.8-13-em64t-p4/debian.README.gz for details.
+
+Package: kernel-image-2.6.8-13-em64t-p4
 Architecture: amd64 i386
 Section: base
 Priority: optional
@@ -174,19 +174,19 @@
  .
  This kernel version has no P4 Hyper-Threading support.
 
-Package: kernel-headers-2.6.8-12-em64t-p4-smp
-Architecture: amd64 i386
-Section: devel
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-12
+Package: kernel-headers-2.6.8-13-em64t-p4-smp
+Architecture: amd64 i386
+Section: devel
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-13
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers for version 2.6.8 on Intel EM64T SMP systems
  This package provides kernel header files for version 2.6.8 on all Intel 
  P4 and Xeon systems with EM64T extension, for sites that want the 
  latest kernel headers. Please read
- /usr/share/doc/kernel-headers-2.6.8-12-em64t-p4/debian.README.gz for details.
-
-Package: kernel-image-2.6.8-12-em64t-p4-smp
+ /usr/share/doc/kernel-headers-2.6.8-13-em64t-p4/debian.README.gz for details.
+
+Package: kernel-image-2.6.8-13-em64t-p4-smp
 Architecture: amd64 i386
 Section: base
 Priority: optional
